## qjackctl 0.6.1

=== CMakeLists.txt ===
project(QJACKCTL)

cmake_minimum_required(VERSION 3.1)

set (VERSION "0.6.1")

set (CONFIG_VERSION ${VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
endif ()

set (PACKAGE_NAME "QjackCtl")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qjackctl")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE)
  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_DEBUG 0)
if (CONFIG_BUILD_TYPE MATCHES "debug")
  set (CONFIG_DEBUG 1)
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Disable system tray argument option.
option (CONFIG_SYSTEM_TRAY "Enable system tray (default=yes)" 1)

# Disable JACK MIDI support option.
option (CONFIG_JACK_MIDI "Enable JACK MIDI support (default=yes)" 1)

# Enable JACK session support.
option (CONFIG_JACK_SESSION "Enable JACK session support (default=yes)" 1)

# Enable JACK port aliases support.
option (CONFIG_JACK_PORT_ALIASES "Enable JACK port aliases support (default=yes)" 1)

# Enable JACK metadata support.
option (CONFIG_JACK_METADATA "Enable JACK metadata support (default=yes)" 1)

# Enable JACK version support.
option (CONFIG_JACK_VERSION "Enable JACK version support (default=no)" 0)

# Enable ALSA sequencer support option.
option (CONFIG_ALSA_SEQ "Enable ALSA/MIDI sequencer support (default=yes)" 1)

# Enable PortAudio argument option.
option (CONFIG_PORTAUDIO "Enable PortAudio interface (default=yes)" 1)

# Enable D-Bus argument option.
option (CONFIG_DBUS "Enable D-Bus interface (default=yes)" 1)

# Enable unique/single instance.
option (CONFIG_XUNIQUE "Enable unique/single instance (default=yes)" 1)

# Enable debugger stack-trace option (assumes --enable-debug).
option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt
find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Xml)

if (CONFIG_XUNIQUE)
  find_package (Qt5 REQUIRED COMPONENTS Network)
endif ()

if (CONFIG_DBUS)
  find_package (Qt5 REQUIRED COMPONENTS DBus)
endif ()

find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)


# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Find package modules
find_package (PkgConfig REQUIRED)

# Check for JACK libraries.
pkg_check_modules (JACK REQUIRED jack>=0.100.0)
if (JACK_FOUND)
  set (CONFIG_JACK 1)
  include_directories (${JACK_INCLUDE_DIRS})
  link_directories (${JACK_LIBRARY_DIRS})
# link_libraries (${JACK_LIBRARIES})
  set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  # Check for jack/statistics.h header.
  check_include_file (jack/statistics.h HAVE_JACK_STATISTICS_H)
  if (NOT HAVE_JACK_STATISTICS_H)
    set (CONFIG_JACK_STATISTICS 0)
  else ()
    set (CONFIG_JACK_STATISTICS 1)
  endif ()
  # Check for JACK MIDI headers availability.
  if (CONFIG_JACK_MIDI)
    check_include_file (jack/midiport.h HAVE_JACK_MIDIPORT_H)
    if (NOT HAVE_JACK_MIDIPORT_H)
      set (CONFIG_JACK_MIDI 0)
    endif ()
  endif ()
  # Check for JACK session headers availability.
  if (CONFIG_JACK_SESSION)
    check_include_file (jack/session.h HAVE_JACK_SESSION_H)
    if (NOT HAVE_JACK_SESSION_H)
      set (CONFIG_JACK_SESSION 0)
    endif ()
  endif ()
  # Check for JACK metadata headers availability.
  if (CONFIG_JACK_METADATA)
    check_include_file (jack/metadata.h HAVE_JACK_METADATA_H)
    if (NOT HAVE_JACK_METADATA_H)
      set (CONFIG_JACK_METADATA 0)
    endif ()
  endif ()
  # Check for jack_transport_query function.
  check_function_exists (jack_transport_query CONFIG_JACK_TRANSPORT)
  # Check for jack_is_realtime function.
  check_function_exists (jack_is_realtime CONFIG_JACK_REALTIME)
  # Check for jack_get_xrun_delayed_usecs function.
  check_function_exists (jack_get_xrun_delayed_usecs CONFIG_JACK_XRUN_DELAY)
  # Check for jack_get_max_delayed_usecs function.
  check_function_exists (jack_get_max_delayed_usecs CONFIG_JACK_MAX_DELAY)
  # Check for jack_set_port_rename_callback
  check_function_exists (jack_set_port_rename_callback CONFIG_JACK_PORT_RENAME)
  # Check for jack_port_get_aliases function.
  if (CONFIG_JACK_PORT_ALIASES)
    check_function_exists (jack_port_get_aliases CONFIG_JACK_PORT_ALIASES)
  endif ()
  # Check for jack_get_version_string function.
  if (CONFIG_JACK_VERSION)
    check_function_exists (jack_get_version_string CONFIG_JACK_VERSION)
  endif ()
  # Check for jack_free function.
  check_function_exists (jack_free CONFIG_JACK_FREE)
else ()
  message (FATAL_ERROR "*** JACK library not found.")
  set (CONFIG_JACK 0)
endif ()

# Check for ALSA libraries.
if (CONFIG_ALSA_SEQ)
  pkg_check_modules (ALSA alsa)
  if (ALSA_FOUND)
    include_directories (${ALSA_INCLUDE_DIRS})
    link_directories (${ALSA_LIBRARY_DIRS})
    link_libraries (${ALSA_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** ALSA library not found.")
    set (CONFIG_ALSA_SEQ 0)
  endif ()
endif ()

# Check for PORTAUDIO libraries.
if (CONFIG_PORTAUDIO)
  pkg_check_modules (PORTAUDIO portaudio-2.0)
  if (PORTAUDIO_FOUND)
    include_directories (${PORTAUDIO_INCLUDE_DIRS})
    link_directories (${PORTAUDIO_LIBRARY_DIRS})
    link_libraries (${PORTAUDIO_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${PORTAUDIO_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** PORTAUDIO library not found.")
    set (CONFIG_PORTAUDIO 0)
  endif ()
endif ()


if (APPLE AND CONFIG_COREAUDIO)
  check_include_file (CoreAudio/CoreAudio.h HAVE_COREAUDIO_H)
  if (NOT HAVE_COREAUDIO_H)
    set (CONFIG_COREAUDIO 0)
  endif ()
endif ()


add_subdirectory (src)

configure_file (qjackctl.spec.in qjackctl.spec IMMEDIATE @ONLY)

install (FILES qjackctl.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install (FILES qjackctl.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME qjackctl.1)

# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()


message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  JACK Audio Connection Kit support  . . . . . . . ." CONFIG_JACK)
show_option ("  JACK Realtime support  . . . . . . . . . . . . . ." CONFIG_JACK_REALTIME)
show_option ("  JACK Transport support . . . . . . . . . . . . . ." CONFIG_JACK_TRANSPORT)
show_option ("  JACK XRUN delay support  . . . . . . . . . . . . ." CONFIG_JACK_XRUN_DELAY)
show_option ("  JACK Maximum scheduling delay support  . . . . . ." CONFIG_JACK_MAX_DELAY)
show_option ("  JACK Port aliases support  . . . . . . . . . . . ." CONFIG_JACK_PORT_ALIASES)
show_option ("  JACK Metadata support  . . . . . . . . . . . . . ." CONFIG_JACK_METADATA)
show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
show_option ("  JACK Session support . . . . . . . . . . . . . . ." CONFIG_JACK_SESSION)
show_option ("  JACK Version support (JACK2) . . . . . . . . . . ." CONFIG_JACK_VERSION)
show_option ("  ALSA MIDI Sequencer support  . . . . . . . . . . ." CONFIG_ALSA_SEQ)
show_option ("  System tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY)
show_option ("  D-Bus interface support  . . . . . . . . . . . . ." CONFIG_DBUS)
show_option ("  PortAudio interface support  . . . . . . . . . . ." CONFIG_PORTAUDIO)
show_option ("  CoreAudio interface support  . . . . . . . . . . ." CONFIG_COREAUDIO)
message     ("")
show_option ("  System tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY)
show_option ("  Unique/Single instance support . . . . . . . . . ." CONFIG_XUNIQUE)
show_option ("  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
set(NAME qjackctl)

include_directories (
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  qjackctl.h
  qjackctlAbout.h
  qjackctlAlsaConnect.h
  qjackctlAlsaGraph.h
  qjackctlConnect.h
  qjackctlAliases.h
  qjackctlGraph.h
  qjackctlGraphCommand.h
  qjackctlInterfaceComboBox.h
  qjackctlJackConnect.h
  qjackctlJackGraph.h
  qjackctlPatchbay.h
  qjackctlPatchbayFile.h
  qjackctlPatchbayRack.h
  qjackctlSession.h
  qjackctlSetup.h
  qjackctlStatus.h
  qjackctlSystemTray.h
  qjackctlAboutForm.h
  qjackctlConnectionsForm.h
  qjackctlGraphForm.h
  qjackctlMainForm.h
  qjackctlMessagesStatusForm.h
  qjackctlPatchbayForm.h
  qjackctlSessionForm.h
  qjackctlSetupForm.h
  qjackctlPaletteForm.h
  qjackctlSocketForm.h
)

set (SOURCES
  qjackctl.cpp
  qjackctlAlsaConnect.cpp
  qjackctlAlsaGraph.cpp
  qjackctlConnect.cpp
  qjackctlAliases.cpp
  qjackctlGraph.cpp
  qjackctlGraphCommand.cpp
  qjackctlInterfaceComboBox.cpp
  qjackctlJackConnect.cpp
  qjackctlJackGraph.cpp
  qjackctlPatchbay.cpp
  qjackctlPatchbayFile.cpp
  qjackctlPatchbayRack.cpp
  qjackctlSession.cpp
  qjackctlSetup.cpp
  qjackctlSystemTray.cpp
  qjackctlAboutForm.cpp
  qjackctlConnectionsForm.cpp
  qjackctlGraphForm.cpp
  qjackctlMainForm.cpp
  qjackctlMessagesStatusForm.cpp
  qjackctlPatchbayForm.cpp
  qjackctlSessionForm.cpp
  qjackctlSetupForm.cpp
  qjackctlPaletteForm.cpp
  qjackctlSocketForm.cpp
)

set (FORMS
  qjackctlAboutForm.ui
  qjackctlConnectionsForm.ui
  qjackctlGraphForm.ui
  qjackctlMainForm.ui
  qjackctlMessagesStatusForm.ui
  qjackctlPatchbayForm.ui
  qjackctlSessionForm.ui
  qjackctlSetupForm.ui
  qjackctlPaletteForm.ui
  qjackctlSocketForm.ui
)

set (RESOURCES
  qjackctl.qrc
)

set (TRANSLATIONS
	translations/qjackctl_cs.ts
	translations/qjackctl_de.ts
	translations/qjackctl_es.ts
	translations/qjackctl_fr.ts
	translations/qjackctl_it.ts
	translations/qjackctl_ja.ts
	translations/qjackctl_nl.ts
	translations/qjackctl_pt.ts
	translations/qjackctl_ru.ts
)

qt5_add_translation ( QM_FILES ${TRANSLATIONS} )
add_custom_target( translations ALL DEPENDS ${QM_FILES} )

qt5_wrap_ui (UI_SOURCES ${FORMS})
qt5_wrap_cpp (MOC_SOURCES ${HEADERS})
qt5_add_resources (QRC_SOURCES ${RESOURCES})

if (WIN32)
  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${NAME}.rc)
  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.res.obj)
  find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
  if (MINGW)
    exec_program (${WINDRES_EXECUTABLE}
      ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
    list (APPEND SOURCES ${RES_FILE})
  else ()
    list (APPEND SOURCES ${RC_FILE})
  endif ()
endif ()

if (APPLE)
  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${NAME}.icns)
  list (APPEND SOURCES ${ICON_FILE})
  set (MACOSX_BUNDLE_ICON_FILE ${NAME}.icns)
  set_source_files_properties (${ICON_FILE} PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
endif ()


add_executable (${NAME}
  ${UI_SOURCES}
  ${MOC_SOURCES}
  ${QRC_SOURCES}
  ${SOURCES}
)

set_target_properties (${NAME} PROPERTIES CXX_STANDARD 11)

if (WIN32)
  set_target_properties (${NAME} PROPERTIES WIN32_EXECUTABLE true)
endif ()

if (APPLE)
  set_target_properties (${NAME} PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${NAME} PRIVATE Qt5::Widgets Qt5::Xml)

if (CONFIG_XUNIQUE)
  target_link_libraries (${NAME} PRIVATE Qt5::Network)
endif ()

if (CONFIG_DBUS)
  target_link_libraries (${NAME} PRIVATE Qt5::DBus)
endif ()

if (CONFIG_JACK)
  target_link_libraries (${NAME} PRIVATE ${JACK_LIBRARIES})
endif ()

if (CONFIG_ALSA_SEQ)
  target_link_libraries (${NAME} PRIVATE ${ALSA_LIBRARIES})
endif ()

if (CONFIG_PORTAUDIO)
  target_link_libraries (${NAME} PRIVATE ${PORTAUDIO_LIBRARIES})
endif ()


if (UNIX AND NOT APPLE)
  install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
  install (FILES ${NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES appdata/${NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
endif ()

if (WIN32)
   install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
   install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
endif ()

## qjackctl 0.3.7

=== debian/changelog ===
qjackctl (0.3.7-1) experimental; urgency=low

  * New upstream release:
    - Session widget has session save type preserved as well.
    - Connections and the new Messages/Status widgets now have
      their last open tab preserved across program run-cycles.
    - Connections and Patchbay widgets have been finally given
      up on an old feature request: an Expand All items button.
    - A significant UI layout has been made: the Messages and
      Status widgets were merged into one, giving space to the
      brand new Session wigdet to be easy accessible from the
      main panel control window.
    - libX11 is now being added explicitly to the build link
      phase, as seen necessary on some bleeding-edge distros
      eg. Fedora 13, Debian 6. (closing bug #3050915).
    - Input/Output latency options were missing but now finally
      enabled for the firewire back-end.
    - General standard dialog buttons layout is now in place.
    - Avoid pre-loading a stalled patchbay definition filename
      and its nagging error on startup (fixes bug #3017078).
    - Client connection retrial logic scrapped. Being a leftover
      from early ages, when machines were slower and JACK server
      startup times were longer... now, if it can't connect first
      time as client, it will tear down the server whether it's
      starting up still or not at all. (cf. Setup/Settings/Start
      Delay for the rescue).
    - Server name is finally part of the server settings presets,
      thanks to Fons Adriaensen for the heads-up.
    - As a workaround regarding issues switching jack2's backends,
      Robin Gareus sends us yet another D-Bus metho slot: "preset",
      (dbus-send --system / org.rncbc.qjackctl.preset string:PRESET).
      Thanks again.
    - Another D-Bus interface slot makes it through implementation:
      "quit" (eg. usage: dbus-send --system / org.rncbc.qjackctl.quit).
      Besides, there's also these new JACK session management actions
      which were being overlooked as well: "load", "save", "savequit"
      and "savetemplate" are also available as D-Bus method slots.
    - Make sure that Patchbay socket names are unique when adding
      or copying, fixing previous patch by Dominic Sacre.
    - JACK version is now being shown on the About box (jack2).
    - Slight Connections widget behavioral change: (dis)connecting a
      client (from) to one single port, (dis)connections will be
      applied in sequence from (to) all client output ports to (from)
      as many input ports there are in below, one by one (satisfying
      a 5 year old request from Yann Orlarey, thanks:).
    - JACK session support is being introduced.
    - Ignore first XRUN occurrence option dropped from statistics.
    - Initial widget geometry and visibility persistence logic has
      been slightly revised as much to avoid crash failures due to
      wrong main widget hidden state.
    - Double-quotes are now being added to device names which include
      blank characters and were rendering invalid all command line
      invocation of the classic JACK server (eg. specially due for
      Portaudio device names on Windows).
    - Transport play (rolling) status is now being guarded to avoid
      backfiring from extraneous transport state changes.
    - General source tree layout and build configuration change.
    - Italian (it) translation added (by Sergio Atzori).
    - Post-shutdown script invocation logic slightly refactored in
      attempt to enforce its execution on application quit.
  * Switch to 3.0 (quilt) format, refresh and update patches.
  * debian/control:
    - Build against the latest libraries available in experimental to
      enable the JACK session support.
    - Depends on jackd.
    - A bit of cleanup.
    - Bump Standards.
    - Add myself to Uploaders list.
  * debian/rules:
    - qjackctl.pro should not be cleaned.
    - Update cleanbuilddir to properly clean the sources:
      + Also clean src/{config.h,qjackctl.desktop,src.pri}.
      + No need to save&restore the translations dir, removing *.qm files
        is enough.
    - Don't override DEB_MAKE_INSTALL_TARGET, otherwise FTBFS.
    - No need to override DEB_CONFIGURE_EXTRA_FLAGS, --prefix=/usr is set
      by default.
  * Remove debian/qjackctl.{1,desktop}, provided by upstream now.
  * Provide Ubuntu-specific patch to temporarily suspend PulseAudio
    before running qjackctl (LP: #570379).
  * debian/{control,rules}:
    - Generate different dependencies between Debian and Ubuntu since
      the latter uses PulseAudio by default and needs pulseaudio-utils
      to provide pasuspender.

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Dec 2010 22:24:01 +0100

qjackctl (0.3.6-1) unstable; urgency=low

  * New upstream release (Closes: #548870)
  * Fix config filename mentioned in the manpage (Closes: #531106)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 11 Jan 2010 17:10:32 +0100

qjackctl (0.3.5-1) unstable; urgency=low

  * New upstream version
  * New maintainer (Debian Multimedia Maintainers). (Closes: #547029)
  * Drop versioned build-dependency on libjack-dev (Closes: #527442)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 27 Sep 2009 18:32:26 +0200

qjackctl (0.3.4-1) unstable; urgency=low

  * Add CVS snapshot patch:
    - Conditional build for JACK port aliases support (JACK >= 0.109.2).
    - Alternate icon sizes other than default 16x16, are now effective to
      the Connections widget (Setup/Dislay/Connections Window/Icon size).
  * New upstream release (closes: #486201)
  * Set RT mode as default, like upstream does
  * Add myself to Uploaders
  * Depend on libx11-dev

 -- Free Ekanayaka <freee@debian.org>  Thu, 05 Feb 2009 15:15:47 +0000

qjackctl (0.3.2-1) unstable; urgency=low

  * 0.3.2-1 New upstream version (closes: #454924)
  * Migrating to QT4
  * re-added general window flags in main.cpp, just removing
    Qt::WStyle_Tool



=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Alessio Treglia <alessio@debian.org>,
 Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 7.0.0),
 cdbs,
 libqt4-dev,
 libjack-dev (>= 1:0.118+svn4089-1~) | libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libx11-dev
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: http://qjackctl.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-multimedia/qjackctl.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qjackctl.git

Package: qjackctl
Architecture: any
Depends: ${shlibs:Depends},
 jackd,
 ${dist:Depends},
 ${misc:Depends}
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g
export QTDIR=/usr/share/qt4

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	DEB_DH_GENCONTROL_ARGS_qjackctl = -- -Vdist:Depends="pulseaudio-utils"
else
	DEB_DH_GENCONTROL_ARGS_qjackctl = -- -Vdist:Depends=""
endif

DEB_MAKE_CLEAN_TARGET   := clean
DEB_CLEAN_EXCLUDE       := qjackctl.pro

cleanbuilddir::
	rm -rf src/.moc/ src/.obj/ src/.ui/
	rm -rf src/config.h src/qjackctl.desktop src/src.pri \
		src/translations/*.qm

install/qjackctl::
	rm -rf debian/qjackctl/usr/share/gnome debian/qjackctl/usr/sbin/

## qjackctl 0.3.8

=== debian/changelog ===
qjackctl (0.3.8-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove patches applied usptream.

 -- Alessio Treglia <alessio@debian.org>  Sat, 09 Jul 2011 11:27:56 +0200

qjackctl (0.3.7-6) unstable; urgency=low

  [ Alessio Treglia ]
  * Build-Depend on libjack-dev only (Closes: #628709).
  * On Ubuntu, enable DBus by default (LP: #803026).

  [ Adrian Knoth ]
  * Drop build dependency on dos2unix

 -- Alessio Treglia <alessio@debian.org>  Mon, 04 Jul 2011 11:05:48 +0200

qjackctl (0.3.7-5) unstable; urgency=low

  * Handle conflicts between PulseAudio and JACK:
    - Install a script to launch qjackctl (now renamed in
      /usr/lib/qjackctl/qjackctl.real) through pasuspender if installed.
  * Move pulseaudio-utils into the:
    - Suggests field for Debian, since many users rely on PulseAudio,
      especially GNOME's ones.
    - Recommends field for Ubuntu in order to allow users to replace
      PulseAudio with JACK.
  * Remove debian/patches/01_disable_pulseaudio.patch, the new launcher
    should properly handle every setup.
  * Remove debian/patches/ubuntu.series too, there is no need to diverge
    from Debian's quilt series file.
  * Pass --enable-debug.

 -- Alessio Treglia <alessio@debian.org>  Wed, 11 May 2011 15:32:58 +0200

qjackctl (0.3.7-4) unstable; urgency=low

  [ Alessio Treglia ]
  * Bump Standards.

  [ Adrian Knoth ]
  * Fix segfault when pressing stop button (Closes: #624198)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 28 Apr 2011 15:12:52 +0200

qjackctl (0.3.7-2) unstable; urgency=low

  * Upload to unstable.
  * Add patch to fix FTBFS on kfreebsd.
  * Add patch description to 00_settings.patch.
  * Build-depend on dos2unix.
  * Fix the desktop file, it has lines ending with CRLF.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Mar 2011 09:17:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Build-Depends: debhelper (>= 7.0.0),
  cdbs,
  libqt4-dev,
- libjack-dev (>= 1:0.118+svn4089-1~) | libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~),
+ libjack-dev,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libx11-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Homepage: http://qjackctl.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/qjackctl.git
@@ -21,8 +21,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  jackd,
- ${dist:Depends},
  ${misc:Depends}
+Recommends: ${dist:Recommends}
+Suggests: pulseaudio-utils
 Description: User interface for controlling the JACK sound server
  Qjackctl offers a user interface for controlling the JACK sound server
  daemon. At the same time it figures as a JACK patch bay and monitoring

## qjackctl 0.3.9

=== debian/changelog ===
qjackctl (0.3.9-2) unstable; urgency=low

  * Apply settings patch for Ubuntu (Closes: #678449)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 22 Jun 2012 00:54:24 +0200

qjackctl (0.3.9-1) unstable; urgency=low

  * Imported Upstream version 0.3.9 (Closes: #664863)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 22 May 2012 15:20:59 +0200

qjackctl (0.3.8-2) unstable; urgency=low

  * Add patch to fix FTBFS on Hurd. (Closes: #673381)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 May 2012 12:15:21 +0200

=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Alessio Treglia <alessio@debian.org>,
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 7.0.0),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libjack-dev,
 libqt4-dev,
 libx11-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://qjackctl.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-multimedia/qjackctl.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qjackctl.git

Package: qjackctl
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ${dist:Recommends}
Suggests:
 pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g
export QTDIR=/usr/share/qt4

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	DEB_DH_GENCONTROL_ARGS_qjackctl = -- -Vdist:Recommends="pulseaudio-utils"
else
	DEB_DH_GENCONTROL_ARGS_qjackctl = -- -Vdist:Recommends=""
endif

DEB_MAKE_CLEAN_TARGET   := clean
DEB_CLEAN_EXCLUDE       := qjackctl.pro
DEB_CONFIGURE_EXTRA_FLAGS := --enable-debug

cleanbuilddir::
	rm -rf src/.moc/ src/.obj/ src/.ui/
	rm -rf src/config.h src/qjackctl.desktop src/src.pri \
		src/translations/*.qm

install/qjackctl::
	# Move qjackctl to /usr/lib/qjackctl
	cd debian/qjackctl/usr && \
		mv bin/qjackctl lib/qjackctl/qjackctl.real
	install -m 0755 debian/launcher.sh debian/qjackctl/usr/bin/qjackctl

## qjackctl 0.3.10

=== debian/changelog ===
qjackctl (0.3.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 03 Jun 2013 23:12:54 +0100

qjackctl (0.3.10-1) experimental; urgency=low

  * New upstream release.
  * Use canonical Vcs fields.
  * Bump Standards.
  * Remove DM-Upload-Allowed: yes, no longer needed.

 -- Alessio Treglia <alessio@debian.org>  Thu, 04 Apr 2013 11:26:58 +0100

qjackctl (0.3.9-3) experimental; urgency=low

  * Don't build with --enable-debug
  * Don't install launcher script (Closes: #699127)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 27 Jan 2013 23:32:21 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
  libjack-dev,
  libqt4-dev,
  libx11-dev
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Homepage: http://qjackctl.sourceforge.net
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/qjackctl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qjackctl.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qjackctl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qjackctl.git
 
 Package: qjackctl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,8 @@
 
 DEB_MAKE_CLEAN_TARGET   := clean
 DEB_CLEAN_EXCLUDE       := qjackctl.pro
-DEB_CONFIGURE_EXTRA_FLAGS := --enable-debug
 
 cleanbuilddir::
 	rm -rf src/.moc/ src/.obj/ src/.ui/
 	rm -rf src/config.h src/qjackctl.desktop src/src.pri \
 		src/translations/*.qm
-
-install/qjackctl::
-	# Move qjackctl to /usr/lib/qjackctl
-	cd debian/qjackctl/usr && \
-		mv bin/qjackctl lib/qjackctl/qjackctl.real
-	install -m 0755 debian/launcher.sh debian/qjackctl/usr/bin/qjackctl

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://sf.net/qjackctl/qjackctl-(.+)\.tar\.gz

## qjackctl 0.3.11

=== debian/changelog ===
qjackctl (0.3.11-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Remove myself from the Uploaders field.
  * Drop 01_missing_includes.patch patch, fixed upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 11 Apr 2014 17:16:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
- Alessio Treglia <alessio@debian.org>,
  Free Ekanayaka <freee@debian.org>
 Build-Depends:
  cdbs,
@@ -13,7 +12,7 @@
  libjack-dev,
  libqt4-dev,
  libx11-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://qjackctl.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qjackctl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qjackctl.git

## qjackctl 0.3.12

=== debian/changelog ===
qjackctl (0.3.12-1) unstable; urgency=medium

  * Imported Upstream version 0.3.12
  * Remove dh_make-template from watch file.
  * Set dh/compat 9.
  * Don't install empty dir.
  * Add Keywords to desktop file.
  * Add myself as uploader.
  * Update copyright file.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 20 Oct 2014 10:23:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
  Free Ekanayaka <freee@debian.org>
 Build-Depends:
  cdbs,
- debhelper (>= 7.0.0),
+ debhelper (>= 9),
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libjack-dev,
  libqt4-dev,
  libx11-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://qjackctl.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qjackctl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qjackctl.git

## qjackctl 0.3.13

=== debian/changelog ===
qjackctl (0.3.13-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:02:40 +0000

qjackctl (0.3.13-1) unstable; urgency=medium

  * Imported Upstream version 0.3.13

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 27 Mar 2015 13:15:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qjackctl
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,

## qjackctl 0.4.2

=== debian/changelog ===
qjackctl (0.4.2-1) unstable; urgency=medium

  * Imported Upstream version 0.4.2 (Closes: #816352)
  * Bump Standards.
  * Fix VCS fields.
  * Remove patches not needed.
  * Fix some hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 Jun 2016 20:05:46 +0200

qjackctl (0.4.1-1) unstable; urgency=medium

  * Imported Upstream version 0.4.1
  * Switch to qt5.
  * Removed menu (to implement CTTE decision #741573)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Oct 2015 23:52:23 +0100

qjackctl (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 03 Sep 2015 04:39:45 +0200

=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 9),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libjack-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 libqt5x11extras5-dev,
 libx11-dev
Standards-Version: 3.9.8
Homepage: http://qjackctl.sourceforge.net
Vcs-Git: https://anonscm.debian.org/pkg-multimedia/qjackctl.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/qjackctl.git

Package: qjackctl
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ${dist:Recommends}
Suggests:
 pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
 CFLAGS = -Wall -g
-export QTDIR=/usr/share/qt4
+export QTDIR=/usr/share/qt5
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export QT_SELECT=qt5
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk

## qjackctl 0.4.4

=== debian/changelog ===
qjackctl (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 14 Nov 2016 19:55:23 +0100

qjackctl (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * Patches applied upstream.
  * Dropped dir file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 13:59:47 +0200

qjackctl (0.4.2-2) unstable; urgency=medium

  * Tune .gitignore file.
  * Add patch to build with gcc6. (Closes: #831170)
  * Build with dh-autoreconf.
  * Add description to the patch.
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jul 2016 13:46:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  Free Ekanayaka <freee@debian.org>
 Build-Depends:
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
+ dh-autoreconf,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libjack-dev,
  qtbase5-dev,
@@ -17,8 +18,8 @@
  libx11-dev
 Standards-Version: 3.9.8
 Homepage: http://qjackctl.sourceforge.net
-Vcs-Git: https://anonscm.debian.org/pkg-multimedia/qjackctl.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/qjackctl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qjackctl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qjackctl.git
 
 Package: qjackctl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
 	DEB_DH_GENCONTROL_ARGS_qjackctl = -- -Vdist:Recommends="pulseaudio-utils"

=== debian/watch ===
version=3
http://sf.net/qjackctl/qjackctl-(.+)\.tar\.gz

## qjackctl 0.4.5

=== debian/changelog ===
qjackctl (0.4.5-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1709796).
  * Drop: New upstream minor release.
    - Partially fixes issues with systray icon (LP: #1546328).
  * Remaining changes:
    - Fix and refresh Ubuntu-specific patches to fix FTBFS.
    - Refresh 90_dbus_setting.patch.
    - Extend 90_dbus_setting.patch to enable JACK D-Bus interface too
      (LP: #1567589).

 -- Ross Gammon <rossgammon@debian.org>  Mon, 21 Aug 2017 23:06:44 +0200

qjackctl (0.4.5-1) unstable; urgency=medium

  * New upstream version 0.4.5
  * Bump Standards.
  * Update copyright file.
  * Sign tags.
  * Simplify gbp.conf file.
  * Remove dh_autoreconf.
  * Avoid useless linking.
  * Add override file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Jun 2017 16:50:18 +0200

qjackctl (0.4.2-0ubuntu2) xenial; urgency=medium

  * Extend 90_dbus_setting.patch to enable JACK D-Bus interface too
    (LP: #1567589).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 07 Apr 2016 23:01:12 +0200

qjackctl (0.4.2-0ubuntu1) xenial; urgency=medium

  * New upstream minor release.
    - Partially fixes issues with systray icon (LP: #1546328).
  * Refresh 90_dbus_setting.patch.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 06 Apr 2016 22:38:28 +0200

qjackctl (0.4.1-1ubuntu1) xenial; urgency=medium

  * Fix and refresh Ubuntu-specific patches to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 08 Nov 2015 05:07:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qjackctl
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -9,14 +10,13 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- dh-autoreconf,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libjack-dev,
  qtbase5-dev,
  qttools5-dev-tools,
  libqt5x11extras5-dev,
  libx11-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://qjackctl.sourceforge.net
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qjackctl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qjackctl.git

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 CFLAGS = -Wall -g
 export QTDIR=/usr/share/qt5
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export QT_SELECT=qt5
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
 	DEB_DH_GENCONTROL_ARGS_qjackctl = -- -Vdist:Recommends="pulseaudio-utils"

## qjackctl 0.5.0

=== debian/changelog ===
qjackctl (0.5.0-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:26 +0100

qjackctl (0.5.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Reapply and refresh 00_settings.patch
    - Reapply and refresh debian/patches/90_dbus_setting.patch
      (LP #1567589)

 -- Ross Gammon <rossgammon@debian.org>  Sat, 24 Nov 2018 23:49:01 +0100

qjackctl (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump Standards.
  * Use git instead of cgit in VCS.
  * Use secure uri where possible.
  * Delete unused ubuntu patches.
  * Don't delete desktop file after build.
  * Delete redundant files.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Switch to short dh.
  * Add patch to fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 17 Dec 2017 15:42:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,17 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Free Ekanayaka <freee@debian.org>
 Build-Depends:
- cdbs,
- debhelper (>= 10),
+ debhelper (>= 10~),
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libjack-dev,
  qtbase5-dev,
  qttools5-dev-tools,
  libqt5x11extras5-dev,
  libx11-dev
-Standards-Version: 4.0.0
-Homepage: http://qjackctl.sourceforge.net
+Standards-Version: 4.1.2
+Homepage: https://qjackctl.sourceforge.io
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qjackctl.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qjackctl.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/qjackctl.git
 
 Package: qjackctl
 Architecture: any
@@ -27,8 +26,6 @@
  jackd,
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends:
- ${dist:Recommends}
 Suggests:
  pulseaudio-utils
 Description: User interface for controlling the JACK sound server

=== debian/watch ===
version=3
https://sf.net/qjackctl/qjackctl-(.+)\.tar\.gz

## qjackctl 0.6.1

=== debian/changelog ===
qjackctl (0.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 22 Dec 2019 20:34:07 +0100

qjackctl (0.6.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https)

  [ Dennis Braun ]
  * New upstream release.
  * debian/copyright
    + Update copyright years and authors.
    + Add FSAP license.

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 16 Dec 2019 12:40:21 +0100

qjackctl (0.5.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update copyright years for Rui (upstream)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release.
    - Use AC_PATH_TOOL. (Closes: #902403)
  * debian/control:
    - Bump debhelper compat to 12.
    - Bump Standards-Version.
  * debian/rules: Remove QT_SELECT, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 06 Sep 2019 08:59:08 +0200

=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libjack-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 libqt5x11extras5-dev,
 libx11-dev
Standards-Version: 4.4.1
Homepage: https://qjackctl.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl

Package: qjackctl
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_clean:
	dh_clean --exclude=qjackctl.pro

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug

## qjackctl 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.6.1")
+set (VERSION "0.6.3")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -57,9 +57,6 @@
 # Disable system tray argument option.
 option (CONFIG_SYSTEM_TRAY "Enable system tray (default=yes)" 1)
 
-# Disable JACK MIDI support option.
-option (CONFIG_JACK_MIDI "Enable JACK MIDI support (default=yes)" 1)
-
 # Enable JACK session support.
 option (CONFIG_JACK_SESSION "Enable JACK session support (default=yes)" 1)
 
@@ -68,6 +65,15 @@
 
 # Enable JACK metadata support.
 option (CONFIG_JACK_METADATA "Enable JACK metadata support (default=yes)" 1)
+
+# Enable JACK MIDI support option.
+option (CONFIG_JACK_MIDI "Enable JACK MIDI support (default=yes)" 1)
+
+# Enable JACK CV support option.
+option (CONFIG_JACK_CV "Enable JACK CV support (default=yes)" 1)
+
+# Enable JACK OSC support option.
+option (CONFIG_JACK_OSC "Enable JACK OSC support (default=yes)" 1)
 
 # Enable JACK version support.
 option (CONFIG_JACK_VERSION "Enable JACK version support (default=no)" 0)
@@ -157,6 +163,10 @@
     if (NOT HAVE_JACK_METADATA_H)
       set (CONFIG_JACK_METADATA 0)
     endif ()
+  endif ()
+  if (NOT CONFIG_JACK_METADATA)
+      set (CONFIG_JACK_CV  0)
+      set (CONFIG_JACK_OSC 0)
   endif ()
   # Check for jack_transport_query function.
   check_function_exists (jack_transport_query CONFIG_JACK_TRANSPORT)
@@ -247,6 +257,8 @@
 show_option ("  JACK Port aliases support  . . . . . . . . . . . ." CONFIG_JACK_PORT_ALIASES)
 show_option ("  JACK Metadata support  . . . . . . . . . . . . . ." CONFIG_JACK_METADATA)
 show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
+show_option ("  JACK CV support  . . . . . . . . . . . . . . . . ." CONFIG_JACK_CV)
+show_option ("  JACK OSC support . . . . . . . . . . . . . . . . ." CONFIG_JACK_OSC)
 show_option ("  JACK Session support . . . . . . . . . . . . . . ." CONFIG_JACK_SESSION)
 show_option ("  JACK Version support (JACK2) . . . . . . . . . . ." CONFIG_JACK_VERSION)
 show_option ("  ALSA MIDI Sequencer support  . . . . . . . . . . ." CONFIG_ALSA_SEQ)

=== debian/changelog ===
qjackctl (0.6.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Dec 2020 15:18:12 -0800

qjackctl (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Bump dh-compat to 13
  * Remove obsolete linker flags in d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Aug 2020 18:56:06 +0200

qjackctl (0.6.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.6.2
  * Bump S-V to 4.5.0
  * Set RRR: no
  * Add me as uploader
  * Add d/upstream/metadata
  * Disable debugging
  * Fix french manpage installation
  * Drop lintian-overrides
  * Update d/copyright year and add myself

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 22:59:09 +0200

=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>,
           Adrian Knoth <adi@drcomp.erfurt.thur.de>,
           Jaromír Mikeš <mira.mikes@seznam.cz>,
           Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper-compat (= 12),
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libjack-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://qjackctl.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
Rules-Requires-Root: no

Package: qjackctl
Architecture: any
Depends: jackd, ${misc:Depends}, ${shlibs:Depends}
Suggests: pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.
